Quassel IRC - Bug #1117

CPU Usage
10/25/2011 08:38 AM - mattwb65

Status: Feedback Start date: 10/25/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.7.2 0S: Linux
Description

Core uses 100% cpu at certain times.

History

#1 - 10/26/2011 07:19 AM - mattwb65

It appears to be caused by adding network to Quassel. It crashes while still using 100% cpu. Perhaps dead socket or something?

#2-11/17/2011 02:15 PM - Anonymous

Adding networks is done by many people without issues. If it crashes, you might end up with a backtrace in the configdir, if not, do the following:

Make sure you have symbols for quasselcore (distro-specific), start quasselcore with gdb ('gdb quasselcore™ and 'run' at the prompt) and send a
SIGTERM (*C) when it hangs. It'd be nice if you could paste the output of bt (look at http://www.yolinux.com/TUTORIALS/GDB-Commands.html for a

cheatsheet which also covers logging to a file).

If you feel like spending some more time debugging this, try doing it a few times to find a common denominator and try stepping through the code

(see the cheatsheet for details).

#3 - 01/21/2012 08:53 PM - johu
- Status changed from New to Feedback

- Priority changed from Urgent to Normal

#4 - 01/21/2012 08:53 PM - johu
- Target version deleted (0.7.4)
